libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

desc_logical_channel.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the LCN - Logican Channel Number. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_desc_logical_channel_number
| Structure containing the logical channel number entires. More...
struct | dvb_desc_logical_channel
| Structure containing the logical channel number descriptor. More...

## Functions
int | dvb_desc_logical_channel_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the logical channel number descriptor.
void | dvb_desc_logical_channel_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the logical channel number descriptor.
void | dvb_desc_logical_channel_free (struct dvb_desc *desc)
| Frees all data allocated by the logical channel number descriptor.

## Detailed Description

Provides the descriptors for the LCN - Logican Channel Number.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Relevant specs
  The descriptor described herein is defined at:
  - IEC/CENELEC DS/EN 62216-1:2011

See also
  http://tdt.telecom.pt/recursos/apresentacoes/Signalling Specifications for DTT deployment in Portugal.pdf

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_logical_channel.h.